// **********************************************************************
//
// Copyright (c) 2001 MT Tools.
//
// All Rights Reserved
//
// MT_DORB is based in part on the product DORB,
// written by Shadrin Victor
//
// See Readme.txt for contact information
//
// **********************************************************************
unit pstream;

interface

uses
  Classes;

type

  TPrintStream = class(TStream)
  public
    procedure writeln(str: string);
    procedure writestr(str: string);
    procedure writecrlf();
    procedure writeeol();
  end;

implementation

procedure TPrintStream.writeeol();
const
  eol: byte = 0;
begin
  write(eol,1);
end;

procedure TPrintStream.writecrlf();
const
  cr: byte = 13;
  lf: byte = 10;
begin
  write(cr,1);
  write(lf,1);
end;

procedure TPrintStream.writeln(str: string);
begin
  writestr(str);
  writecrlf;
end;

procedure TPrintStream.writestr(str: string);
begin
  write(PChar(str)^,length(str));
end;

end.
